
AddParticleToObject(1,"Highlight");
MoveEmiter("Highlight",460,465);
AddParticleToObject(219,"mechanizm");
MoveEmiter("mechanizm",460,450);

WaitRender();


if flags.minicomplete  and  not flags.otskanili then
	StartEmiter("mechanizm");
	Set_Cursor( 219, 2 );	
end;


function gameinput(sender,obj_id,attachedID)
c("sender= "..sender.."\n")
--обработка плашки
 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)	
del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)				
	end

--обработка кнопок мини игры	
if flags.mini_lazeri then
 MiniInterfaceHandler( sender, obj_id )
end
	if SLevel==1.0 then return; end;
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	

if sender ==41 then	

	RotateHandler(obj_id);
if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;	
return;end;


--наведение на кнопку сканировать	
	if sender==35 and flags.start_scaner then
		-- speciale_action(2,104);	
		-- speciale_action(4,104);	
		SetAlfa(104,0.01,1,0) 
		speciale_action(4,104);
	end
--увдение с кнопки сканировать	
	if sender==39 and flags.start_scaner then	
		-- speciale_action(2,104);
		SetAlfa(104,1,0.01,0) 
	end
	
    if sender==26 then	
--сообщение в конце и переход на след локацию	
	if obj_id ==78 and flags.items_collected then		
		flags.finish=true;
		del_object_from_game(obj.dragonfly.id)
		leafobj={2234}
		GetRenderTarget(2234,"rendertar");	
		minigg=true;
		levelnext=12;
	end
	
	if flags.mini_lazeri then
		RemoveWindow(8,2.8,"DestroyMyWindow")	
	end
	
	return;end
--коллапс мусора
	if sender == 12 then
		if not flags.items_collected then
			if obj.zajig.is_collapsed and obj.svabra.is_collapsed and obj.svecha.is_collapsed and obj.sarancha.is_collapsed and
			obj.xrn10.is_collapsed and obj.inyan.is_collapsed and obj.statua2.is_collapsed and obj.ochki.is_collapsed and obj.svitok.is_collapsed and obj.bell.is_collapsed and  
			 obj.trubka2.is_collapsed and obj.shlyapa.is_collapsed and obj.trost.is_collapsed and obj.bin.is_collapsed and obj.keglya.is_collapsed  then
					flags.items_collected = true;
					-- Set_Cursor( 219, 2 );					
					AlternateTimer("SwitchSheet1",1000)						
					if flags.otscaneno then
						CreatePlashechka(78,"58","goodgirl")
						 canmenu=true
					end
				end
	end;
	return; end;
	
	
--обработка рентгена для запуска мини	
	if sender ==100001 then
	
		if flags.minicomplite11 then		
			ClosePlushes()				
			flags.start_mini=true	
			flags.rentgen=true;
			BlockCursor(true)
		end;	   
	
	end	

	if sender == 100 then
	--------------------------------------GLOVE_NVG_RENTGEN-------------------
	
	if 	flags.rentgen_vkl then
			
			if not flags.lu4i then
			flags.lu4i =true;
			flags.lu4i1=true;
			if not flags.minicomplete then
			set_visible_object(210,true);
			set_visible_object(212,true);
			set_visible_object(214,true);
			set_visible_object(216,true);
			set_visible_object(217,true);
			set_visible_object(218,true);
			set_visible_object(220,true);
			set_visible_object(221,true);
			set_visible_object(222,true);
			flags.rentgen=true;
					
			 end;
			 end;
		flags.rentgen_vkl=false;
	return; end;
	if 	flags.rentgen_vikl then			
			if flags.lu4i then
			flags.lu4i=false;
			flags.lu4i1=false;
			set_visible_object(210,false);
			set_visible_object(212,false);
			set_visible_object(214,false);
			set_visible_object(216,false);
			set_visible_object(217,false);
			set_visible_object(218,false);
			set_visible_object(220,false);
			set_visible_object(221,false);
			set_visible_object(222,false);
			
			end;
			flags.rentgen_vikl=false;
			if flags.minicomplete then
			flags.rentgen_is_usable= false;
			
			return; end;

	return; end;
		
		if flags.finish then

		return; end;
		if flags.first_time_load then
				flags.first_time_load=false
			set_visible_object(obj.intro.id,true);
			speciale_action(4,obj.intro.id);
			
			flags.start_draw = false;
		return; end;
		
		if flags.comics2 then			
			CreatePlashechka(78,"68","goodgirl");			
			ShowMenu(true)
			flags.otscan=true;
			flags.comics2=false;
		return; end;		
		
		if flags.mini_go then
			flags.mini_go= false;
			-----mini-------------
			flags.mini=true----------------------перенести в комикс
			speciale_action(2,203,true)----------------------перенести в комикс
			speciale_action(2,222222,true)----------------------перенести в комикс
		return; end;
		if flags.mini_go2 then
			flags.mini_go2= false;
			-----mini-------------
			flags.mini2=true----------------------перенести в комикс
			speciale_action(2,226,true)----------------------перенести в комикс
			speciale_action(2,227,true)----------------------перенести в комикс
			Set_Cursor(226,1)
		return; end;
		if flags.svet5 then			
			flags.svet5=false
			
			set_visible_object( obj.mini_border.id, false );
			ShowMenu( true );
			SwitchToSheet("re")
			set_visible_object( obj.mini_skip.id, false );
			set_visible_object( obj.mini_help.id, false );
			set_visible_object( obj.mini_skip_loading.id, false );
			StartTimer(2000,1);
	set_visible_object( obj.mini_skip2.id, false );
	set_visible_object( obj.mini_help2.id, false );
	set_visible_object( obj.mini_menu2.id, false );
	set_visible_object( obj.mini_skip1.id, false );
	set_visible_object( obj.mini_help1.id, false );
	set_visible_object( obj.mini_menu1.id, false );	
	set_visible_object( obj.mini_menu.id, false );
			rentgen_on = false;
			RotateWheelBack(270,126,198,342,54,1.5,2,1);	
			rentgenselect=false
           
			flags.lu4i1=false;
			flags.minicomplete= true;
			flags.mini_lazeri =false
			finish_mini_game(false)
			rentgen_is_usable= false;
			flags.rentgen_is_usable=false;
			set_visible_object( obj.mini_menu.id, false );
		return; end;
		if flags.start_draw then
			flags.start_draw = false;
			-- OpenPlushes();
		return; end;

				-- First Comics --
	return; end;
	if sender == 8 then
		HideGlove();
		HideRentgen()
		HideNvg();
		HideScaner()
	return end;
--конец мини 
	if sender == 10 then		
	set_visible_object( obj.mini_border.id, false );
	rentgen_is_usable= false;
	set_visible_object( obj.mini_skip2.id, false );
	set_visible_object( obj.mini_help2.id, false );
	set_visible_object( obj.mini_skip_loading.id, false );
	set_visible_object( obj.mini_menu2.id, false );
	set_visible_object( obj.mini_skip1.id, false );
	set_visible_object( obj.mini_help1.id, false );
	set_visible_object( obj.mini_menu1.id, false );
	set_visible_object( obj.mini_skip.id, false );
	set_visible_object( obj.mini_help.id, false );
	set_visible_object( obj.mini_menu.id, false );


		Set_Cursor( 219, 2 );	
		StartEmiter("mechanizm");	
		set_visible_object(obj.arrow3.id,false)
		flags.mini11_luchi=true;
		set_visible_object(210,false);
		set_visible_object(220,false);
		set_visible_object(212,false);
		set_visible_object(222,false);
		set_visible_object(218,false);
		set_visible_object(216,false);
		set_visible_object(214,false);
		set_visible_object(201,false);
		set_visible_object(202,false);
		set_visible_object(203,false);
		set_visible_object(204,false);
		set_visible_object(205,false);
		set_visible_object(206,false);
		set_visible_object(200,false);
		
		flags.svet5=false
		rentgen_is_usable=false;	
		set_visible_object( obj.mini_border.id, false );
		ShowMenu( true );
		SwitchToSheet("re")
		set_visible_object( obj.mini_skip.id, false );
		set_visible_object( obj.mini_help.id, false );
		set_visible_object( obj.mini_menu.id, false );		
		StartTimer(2000,1);
		rentgen_on = false;
		RotateWheelBack(270,126,198,342,54,1.5,2,1);	
		rentgenselect=false		
		flags.minicomplete= true;
		flags.mini_lazeri =false
		flags.lu4i1=false;
		flags.rentgen_is_usable=false;			
		set_visible_object( obj.mini_menu.id, false );
	return end;
	if sender==777 then
	--старт локации		
			if flags.comics1 then		
					StartTimer(43342,0.5,"conv11")
			function conv11()
				CreatePlashechka(9999,"54","goodgirl")
			end		
				
				flags.comics1	=false;		
				flags.rentgen_is_usable=true;
				rentgen_is_usable=true;		
				ShowMenu(true)
				SwitchToSheet("re")
			return;end
	if top_plush_id then		
		ShowMenu(true)
	end			
	
		if flags.start_mini then
	OpenPlushes()
	flags.start_mini=false;
				mini_create();	
				set_visible_object( obj.mini_border.id, true );
				set_visible_object( obj.mini_border.id, true );
				set_visible_object( obj.mini_skip2.id, true );
				set_visible_object( obj.mini_help2.id, true );
				set_visible_object( obj.mini_skip_loading.id, true );
				set_visible_object( obj.mini_menu2.id, true );
				flags.rentgen_is_usable=true;		
				flags.lu4i1=true;		
				ShowMenu(false)
				 flags.mini_lazeri=true;
	return;end
			if flags.rentgen and not flags.minicomplete then	
				mini_create()
				RotateWheel(270,126,198,342,54,1.5,2,1);
				ShowMenu(false);
				set_visible_object( obj.mini_border.id, true );
				set_visible_object( obj.mini_border.id, true );
				set_visible_object( obj.mini_skip2.id, true );
				set_visible_object( obj.mini_help2.id, true );
				set_visible_object( obj.mini_skip_loading.id, true );
				set_visible_object( obj.mini_menu2.id, true );
			end;
	end
	if sender == 28 then	
--отсканили
		if obj_id==101 then
			StartTimer(147852,1)
			set_visible_object(101,false);
			StopEmiter("mechanizm");
			Set_Cursor(219,3)
			flags.start_scaner=false
			flags.otskanili=true;
		return; end;	
		
	return end;	
	if sender == 36 then		
--закончилась мини, можно сканировать		
		if obj_id ==2000 then
			CreatePlashechka(9999,"65","goodgirl")
			Set_Cursor( 219, 2 );	
			StartEmiter("mechanizm");		
		return;end;
--закончили сканировать		
		if obj_id==147852 then
			speciale_action(2,103)			
			set_visible_object(104,false)
			set_visible_object(101,false);
			speciale_action(2,105)
			speciale_action(2,102)
			del_object_from_game(103)
			del_object_from_game(104)
			del_object_from_game(101)
			del_object_from_game(105)
			del_object_from_game(102)
			flags.comics2=true;
			flags.otscaneno=true;
			BlockCursor(false)
			ReturnHiddenObjects()      
			DeleteRenderTarget(2235)  					 
			leafobj={}	
		
			WaitRender()
			Set_Cursor(219,3)
		return; end;		
	return end;
	
if sender == 16 then
--появился на сканере механизм (кефир)	
	if obj_id == 105 then
	addactivobjecttogame(102,"kifer",311,103,"","");
	speciale_action(4,102)
		set_visible_object(102,false)
		speciale_action(2,102,true)
		BlockCursor(false)
	
	return; end;
--появилась полоса, начинаем ехать	
	if obj_id==101 then
			MoveObjectX(101,112,839,5)
			playeffect("024")
	return; end;
return; end;
if sender == 1 then	
--сообщение о том что нужно врубить рентген в самом начале уровня		
				if flags.minicomplete and flags.lu4i1 then
					CreatePlashechka(9999,"66","goodgirl")					
				return; end;
if flags.rentgen_is_usable then
--логика мини игры
if flags.lu4i1 then

	if  flags.mini_lazeri then

		if obj_id==201 then
		if not flags.svet1 then
			set_visible_object(210,false);
			set_visible_object(201,false);
			playeffect("086")
			flags.svet1=true;
			set_visible_object(obj.arrow3.id,false)
		return; end;
		return; end;
		if obj_id==203 then
			if flags.svet1 and not flags.svet2 then
			set_visible_object(212,false);
			set_visible_object(203,false);
			playeffect("086")
			flags.svet2=true;
			return; end;
				neverno()
				CreateWindow(CWX,CWY,"60",86,nil,100,230);
		return; end;
		if obj_id==206 then
		if flags.svet2 and not flags.svet3 then
			set_visible_object(214,false);
			set_visible_object(206,false);
			playeffect("086")
			flags.svet3=true;
		return;end;
				neverno()
				CreateWindow(CWX,CWY,"60",8686,nil,100,230);
			flags.svet1=false;
			flags.svet2=false;
		return; end;
		if obj_id==202 then
			if flags.svet3 and not flags.svet4 then
			set_visible_object(220,false);
			set_visible_object(202,false);
			playeffect("086")
			flags.svet4=true;
			return; end;
				neverno()
				CreateWindow(CWX,CWY,"60",675,nil,100,230);
			flags.svet1=false;
			flags.svet2=false;
			flags.svet3=false;
		return; end;
		if obj_id==205 then
		if flags.svet4 and not flags.svet5 then
			set_visible_object(222,false);
			set_visible_object(205,false);
			playeffect("086")
			WaitRender()
			flags.svet5=true;
		return; end;
				neverno()
				CreateWindow(CWX,CWY,"60",5858,nil,100,230);
			flags.svet1=false;
			flags.svet2=false;
			flags.svet3=false;
			flags.svet4=false;
		return; end;
		
	return; end;
	
	CreatePlashechka(9999,"51","goodgirl")
	
return; end;
CreatePlashechka(9999,"50","goodgirl")
return; end;

------------------------------------scaner----------------------------
--жмем сканером на механизм
if obj_id==219 and not flags.otscan then
	-- if flags.items_collected then
	
	
		if scaner_on  then
		
		
		leafobj={2235}
			GetRenderTarget(2235,"rendertar1");	
		
		function rendertar1(tex_name,tex_id)
			FlipVertical(2235);
			SetAlfa(2235,0,1,0,"vasea3353523")
			SetObjectPosition(2235,0,-256);
			LeaveObjectsOnReder("leafobj");
			HideScaner()			
			addactivobjecttogame(101,"main_10",112,79,"","",0,0,892,0,132,518);			
			addactivobjecttogame(103,"main_10",904,28,"","",0,0,851,0,39,39);
			addactivobjecttogame(104,"main_10",785,621,"","",0,0,877,518,146,35);
			addstaticobjecttogame(105,"scanner",0,0,"");
			speciale_action(2,101)			
			speciale_action(2,103)
			--speciale_action(2,104)
			
			speciale_action(2,105)			
						
			speciale_action(4,103)
			speciale_action(4,104)
			OnMouseOver(104)
			SetAlfa(104,1,0.01,0)
			speciale_action(4,105)
			speciale_action(4,101)
			speciale_action(2,103,true)			
			speciale_action(2,105,true)			
			set_visible_object( obj.mini_border.id, false );
			set_visible_object( obj.mini_border.id, false );
			set_visible_object( obj.mini_skip2.id, false );
			set_visible_object( obj.mini_help2.id, false );
			set_visible_object( obj.mini_skip_loading.id, false );
			set_visible_object( obj.mini_menu2.id, false );
			set_visible_object( obj.mini_skip1.id, false );
			set_visible_object( obj.mini_help1.id, false );
			set_visible_object( obj.mini_menu1.id, false );
			set_visible_object( obj.mini_skip.id, false );
			set_visible_object( obj.mini_help.id, false );
			set_visible_object( obj.mini_menu.id, false );
		
			StartTimer(343242,0.8,"start_scaner")
			
			function start_scaner()
					flags.start_scaner=true
			end
			BlockCursor(true)
			ShowMenu(false);
		end
			else
			CreatePlashechka(9999,"62","goodgirl")
		return; end;
		
		
			
return; end;

if obj_id == 103 then
		speciale_action(2,103)		
		speciale_action(2,105)			
		ShowMenu(true);
		SwitchToSheet("re")
		speciale_action(2,obj.mini_skip_loading.id)
return;end;
if obj_id == 104 then
BlockCursor(true)
		speciale_action(2,101,true)
		 -- speciale_action(2,104)
		 -- set_visible_object(104,false)
		flags.clo=true;
return;end;
------------------------------------scaner----------------------------

--сбор мусора
if not flags.rentgen_is_usable then
		if flags.minicomplete then
			if obj_id == obj.zajig.id or obj_id == obj.svabra.id or obj_id == obj.svecha.id or obj_id == obj.sarancha.id or
			obj_id == obj.xrn10.id or obj_id == obj.inyan.id or obj_id == obj.statua2.id or obj_id == obj.ochki.id or obj_id == obj.svitok.id or obj_id == obj.bell.id  
			or obj_id == obj.trubka2.id or obj_id == obj.shlyapa.id or obj_id == obj.trost.id or obj_id == obj.bin.id or obj_id == obj.keglya.id then
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
				if obj_id == obj.ochki.id then
					set_visible_object(232,false);
					flags.ochki = true;
				end;
				if obj_id == obj.keglya.id then
					set_visible_object(242,false);
					flags.keglya = true;
				end;
				if obj_id == obj.bin.id then
					set_visible_object(243,false);
					flags.bin = true;
				end;
				if obj_id == obj.trost.id then
					set_visible_object(240,false);
					flags.trost = true;
				end;
				if obj_id == obj.svecha.id then
					set_visible_object(223,false);
					flags.svecha = true;
				end;
				if obj_id == obj.sarancha.id then
					set_visible_object(227,false);
					flags.sarancha = true;
				end;
				if obj_id == obj.inyan.id then
					set_visible_object(229,false);
					flags.inyan = true;
				end;
				if obj_id == obj.statua2.id then
					set_visible_object(230,false);
					flags.statua = true;
				end;
				if obj_id == obj.svitok.id then
					set_visible_object(233,false);
					flags.svitok = true;
				end;
				if obj_id == obj.bell.id then
					set_visible_object(237,false);
					flags.bell = true;
				end;
				if obj_id == obj.shlyapa.id then
					set_visible_object(239,false);
					flags.shlyapa = true;
				end;
				if obj_id == obj.xrn10.id then
					set_visible_object(228,false);
					flags.pautina = true;
				end;
				if obj_id == obj.svabra.id then
					set_visible_object(245,false);
					flags.svabra = true;
				end;
				flags.items = flags.items + 1;
				CollapseObj(obj_id);
		return; end;
	
		return; end;
		
		return; end;

return; end;

	
	if sender == 14 then -- Menu click
		addObjectToMouse(obj_id);
	return; end;
	return; end;

function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
--летим на механим				
	if flags.items >= 15 then
	computation(219);		
	return end
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
function mini_create()
playeffect("025")
set_visible_object( obj.mini_menu.id, true );
neverno();

speciale_action(2,obj.arrow3.id)
speciale_action(4,obj.arrow3.id)
StartAnimation(obj.arrow3.id)
flags.svet1=false;
			flags.svet2=false;
			flags.svet3=false;
			flags.svet4=false;
flags.mini_lazeri =true
StartTimer(23232,2,"help")
function help()
CreateWindow(CWX,CWY,"67",5747,nil,100,230);
BlockCursor(false)
end

ShowMenu( false );
set_visible_object( obj.mini_border.id, true );
init_mini(1);
create_mini(8128);
set_visible_object( obj.mini_skip.id, true );
set_visible_object( obj.mini_help.id, true );
set_visible_object( obj.mini_skip_loading.id, true );
StartAnimation( obj.mini_skip_loading.id, 0, 3 );
end;
function neverno()
playeffect("087")
	set_visible_object(210,true);
	set_visible_object(220,true);
	set_visible_object(212,true);
	set_visible_object(222,true);
	set_visible_object(218,true);
	set_visible_object(216,true);
	set_visible_object(214,true);
	set_visible_object(201,true);
	set_visible_object(202,true);
	set_visible_object(203,true);
	set_visible_object(204,true);
	set_visible_object(205,true);
	set_visible_object(206,true);
	set_visible_object(200,true);
end;